Package com.collibra.dgc.importer.api

# Interface ImporterApi

public interface ImporterApi
Contains all API operations for handling import.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PagedResponse<ImportError>`
  `findImportErrors(UUID jobId, FindImportErrorsRequest findImportErrorsRequest)`
  Returns import errors of a finished import job identified by given `jobId`.
  `ImportSummary`
  `getImportJobSummary(UUID jobId)`
  Returns a summary of a finished import job identified by given `jobId`.
  `Job`
  `importCsvInJob(ImportCsvInJobRequest request)`
  Starts import CSV job.
  `Job`
  `importExcelInJob(ImportExcelInJobRequest request)`
  Starts import Excel job.
  `Job`
  `importJsonInJob(ImportJsonInJobRequest request)`
  Starts import JSON job.
  `Job`
  `synchronizeBatchCsvInJob(SynchronizationBatchCsvInJobRequest request)`
  Starts partial (batch) synchronization job.
  `Job`
  `synchronizeBatchExcelInJob(SynchronizationBatchExcelInJobRequest request)`
  Starts partial (batch) synchronization job.
  `Job`
  `synchronizeBatchJsonInJob(SynchronizationBatchJsonInJobRequest request)`
  Starts partial (batch) synchronization job.
  `Job`
  `synchronizeCsvInJob(SynchronizationCsvInJobRequest request)`
  Starts full synchronization job.
  `Job`
  `synchronizeExcelInJob(SynchronizationExcelInJobRequest request)`
  Starts full synchronization job.
  `Job`
  `synchronizeFinalizationInJob(SynchronizationFinalizationRequest request)`
  Starts synchronization finalization (cleanup) job.
  `Job`
  `synchronizeJsonInJob(SynchronizationJsonInJobRequest request)`
  Starts full synchronization job.

- ## Method Details

  - ### importJsonInJob

    Job importJsonInJob(ImportJsonInJobRequest request)
    Starts import JSON job.

    Request is parsed from the file provided within request or uploaded file for which the `id` is provided (also within request).

    Parameters:
      `request` - the request containing parameters for import job
    Returns:
      the import job

  - ### importCsvInJob

    Job importCsvInJob(ImportCsvInJobRequest request)
    Starts import CSV job.

    Request is parsed from the file provided within request or uploaded file for which the `id` is provided (also within request).

    Parameters:
      `request` - the request containing parameters for import job
    Returns:
      the import job

  - ### importExcelInJob

    Job importExcelInJob(ImportExcelInJobRequest request)
    Starts import Excel job.

    Request is parsed from the file provided within request or uploaded file for which the `id` is provided (also within request).

    Parameters:
      `request` - the request containing parameters for import job
    Returns:
      the import job

  - ### synchronizeBatchJsonInJob

    Job synchronizeBatchJsonInJob(SynchronizationBatchJsonInJobRequest request)
    Starts partial (batch) synchronization job.

    Request is parsed from the JSON file provided within request or uploaded JSON file for which the `id` is provided (also within request). The input file is treated as a part (batch) of synchronization process. After last batch, finalization (cleanup) process should be called.

    Parameters:
      `request` - the request containing parameters for import synchronization job
    Returns:
      the import job

  - ### synchronizeBatchCsvInJob

    Job synchronizeBatchCsvInJob(SynchronizationBatchCsvInJobRequest request)
    Starts partial (batch) synchronization job.

    Request is parsed from the CSV file provided within request or uploaded CSV file for which the `id` is provided (also within request). The input file is treated as a part (batch) of synchronization process. After last batch, finalization (cleanup) process should be called.

    Parameters:
      `request` - the request containing parameters for import synchronization job
    Returns:
      the import job

  - ### synchronizeBatchExcelInJob

    Job synchronizeBatchExcelInJob(SynchronizationBatchExcelInJobRequest request)
    Starts partial (batch) synchronization job.

    Request is parsed from the Excel file provided within request or uploaded Excel file for which the `id` is provided (also within request). The input file is treated as a part (batch) of synchronization process. After last batch, finalization (cleanup) process should be called.

    Parameters:
      `request` - the request containing parameters for import synchronization job
    Returns:
      the import job

  - ### synchronizeJsonInJob

    Job synchronizeJsonInJob(SynchronizationJsonInJobRequest request)
    Starts full synchronization job.

    Request is parsed from the JSON file provided within request or uploaded JSON file for which the `id` is provided (also within request). The input file is treated as a full input of synchronization process.

    Parameters:
      `request` - the request containing parameters for import synchronization job
    Returns:
      the import job

  - ### synchronizeCsvInJob

    Job synchronizeCsvInJob(SynchronizationCsvInJobRequest request)
    Starts full synchronization job.

    Request is parsed from the CSV file provided within request or uploaded CSV file for which the `id` is provided (also within request). The input file is treated as a full input of synchronization process.

    Parameters:
      `request` - the request containing parameters for import synchronization job
    Returns:
      the import job

  - ### synchronizeExcelInJob

    Job synchronizeExcelInJob(SynchronizationExcelInJobRequest request)
    Starts full synchronization job.

    Request is parsed from the Excel file provided within request or uploaded Excel file for which the `id` is provided (also within request). The input file is treated as a full input of synchronization process.

    Parameters:
      `request` - the request containing parameters for import synchronization job
    Returns:
      the import job

  - ### synchronizeFinalizationInJob

    Job synchronizeFinalizationInJob(SynchronizationFinalizationRequest request)
    Starts synchronization finalization (cleanup) job.
    Parameters:
      `request` - the request containing parameters for cleanup
    Returns:
      the cleanup synchronization job

  - ### getImportJobSummary

    ImportSummary getImportJobSummary(UUID jobId)
    Returns a summary of a finished import job identified by given `jobId`.
    Parameters:
      `jobId` - the identifier of the job.
    Returns:
      the import job results summary

  - ### findImportErrors

    PagedResponse<ImportError> findImportErrors(UUID jobId, FindImportErrorsRequest findImportErrorsRequest)
    Returns import errors of a finished import job identified by given `jobId`.
    Parameters:
      `jobId` - the identifier of the job.
      `findImportErrorsRequest` - the search criteria for import errors
    Returns:
      the found import errors